/**
 * ### Группы (Компоненты).
 *
 * Этот менеджер позволяет запросить данные по типу компонента.
 *
 * ```bash
 * // доступ
 * ps.pl.gtm
 * ```
 *
 * <br>
 * Связанные объекты:
 *
 * - {@link GroupTypes.GroupType GroupType} - Тип группы
 *
 * @group manager
 * @namespace GroupTypes
 */
function GroupTypes() {
    /**
     *  Вернет ссылку на Тип группы.
     *
     *
     * Пример
     * ```
     * // компонентом может быть например portEntity
     * ps.pl.gtm.get(new v2.model_type("portEntity")).then(function(_ref){
     *     var provider = _ref.value();
     *     // теперь можно работать с провайдером группы
     * }, function(_err){
     *     console.log("произошла ошибка")
     * });
     * ```
     *
     * @public
     * @function get
     * @memberof GroupTypes
     * @param {v2.model_type} groupType Адрес модели
     * @returns {tools.promise(GroupTypes.GroupType)}
     */
    this.get = function (groupType) {

    };
}